lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bloom_rubocop/version"

Gem::Specification.new do |spec|
  spec.name          = "bloom_rubocop"
  spec.version       = BloomRubocop::VERSION
  spec.authors       = ["Ace Subido"]
  spec.email         = ["ace.subido@gmail.com"]
  spec.summary       = "Bloom's Rubocop Configuration"
  spec.description   = "Bloom's Rubocop Configuration"
  spec.homepage      = "https://github.com/bloom-solutions/dotfiles"
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) {|f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rubocop", "0.74.0"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
